Package com.logicaldoc.core.security.authorization

# Class AuthorizationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.logicaldoc.core.security.authorization.AuthorizationException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `PermissionException`, `UnexistingResourceException`

public class AuthorizationException extends Exception
A generic exception for handling unauthorized accesses

Since:
  8.8.3
Author:
  Marco Meschieri - LogicalDOC
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AuthorizationException()`
`AuthorizationException(String message)`
`AuthorizationException(String message, Throwable cause)`
`AuthorizationException(Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AuthorizationException

public AuthorizationException()

### AuthorizationException

public AuthorizationException(String message)

### AuthorizationException

public AuthorizationException(Throwable cause)

### AuthorizationException

public AuthorizationException(String message, Throwable cause)